
void loadData(Table table1, ArrayList<country> countriesterrain) {
  rows1 = table1.getRowCount();

  for (int i=0; i<rows1; i++) {
    String name = table1.getString(i, 1);
    int year = table1.getInt(i, 2);
    float CO2perGdp = table1.getFloat(i, 4);
    int population = table1.getInt(i, 5);
    float GDP = table1.getFloat(i, 6);
    float energyperGdp = table.getFloat(i, 7);
    if (population > pop_max) {
      pop_max = population;
    }
    if (population < pop_min) {
      pop_min = population;
    }
    if (GDP > GDP_max) {
      GDP_max = GDP;
    }
    if (GDP < GDP_min) {
      GDP_min = GDP;
    }
    countriesterrain.add(new country(name, year, CO2perGdp, population, GDP, energyperGdp));
  }
}

float[][] formTerrain(ArrayList<country> countries) {
  int population;
  int y;
  float gdp;


  for (int i = 0; i<class_year.length; i++) {
    for (int j=0; j<countries.size(); j++) {
      if (countries.get(j).year==class_year[i]) {
        population = countries.get(j).population;

        gdp = map(countries.get(j).GDP, GDP_min, GDP_max, Tall, -Tall);
        // gdpsize = map(countries.get(j).GDP, GDP_min, GDP_max, 0.5, 15);
        // println("Population:", population);
        //x-year  z-pop  y-gdp
        y = int(map(population, pop_min, pop_max, 0, 1000-1));
        // println(y);

        terrain[i][y] = gdp;
      }
      //println(terrain[j][y]);
    }
  }
  return terrain;
}



void Drawterrain(float [][]terrain, color[] colormap) {
  //for (int i = 0; i<class_year.length; i++) {
  //  for (int j=0; j<countries.size(); j++) {
  //    if (countries.get(j).year == class_year[i]) {
  //      //color c = color(250,250-6*i,250-6*i);
  //      color c = colormap[i];
  //      // stroke(c,c,c);
  //    }
  //  }
  //}

  for (int y = 1; y<rows-1; y++) {
    for (int x = 0; x<cols; x++) {
      float c = map(terrain[x][y],Tall,-Tall,0,255);
      float s = map(terrain[x][y],Tall,-Tall,0.2,4);
      if (terrain[x][y]!=0) {
       stroke(c);
         strokeWeight(s);
       // point(x*scl-360, terrain[x][y], y*scl-120);
        line(x*scl-360, terrain[x][y], y*scl-120, (x)*scl-360, Tall, (y)*scl-120);
        line(x*scl-360, 0, y*scl-120, (x)*scl-360,0, (y)*scl-120);
      }
    }
  }
}
