void DrawDots(ArrayList<country> countries, String class_names, float x, float z, color c) {
  float angle2;
  if (move) {
    angle2 = theta;
  } else {
    angle2 =PI/2;
  }
  for (int i = 0; i < class_year.length; i++) {
    for (int j = 1; j < numRows-1; j++) {
      if (countries.get(j).year == class_year[i] && countries.get(j).name.equals(class_names)) {
        pushMatrix();
        float dx = x;
        float dy = (-20)*i;
        float dz = map(countries.get(j).CO2perGdp*sin(angle2), -2, 2, -300+z, 300+z);
         float dz_s = map(countries.get(j).CO2perGdp, -2, 2, -300+z, 300+z);
        float wid = map(countries.get(j).energyperGdp*sin(angle2), 0, 9.257, 5, 100);
        translate(dx, dy, dz);
        float sizepoint;
        float transp;
        sizepoint = map(countries.get(j).CO2perGdp, 0, 2, 1, 20);
        transp = map(countries.get(j).CO2perGdp, 0, 2, 150, 255);
        stroke(c, transp);
        strokeWeight(sizepoint);
        fill(230, 230, 22);
        if (showpoint) {
          float p_x = screenX(dx, dy, dz_s);
          float p_y = screenY(dx, dy, dz_s);
          //calculate the distance between (p_x,p_y), (mouseX, mouseY)
          float distanceObjectMouse = sq(p_x - mouseX) + sq(p_y - mouseY);
          //square distance sq()
          if (distanceObjectMouse< 10) {
            strokeWeight(sizepoint+5);
            point(-100, 0, 0);

            textSize(200);
            pushMatrix();
            translate(-100, 0, 0);
            PFont f = createFont("Arial", 100);
            textFont(f);
            textLeading(20);
            textAlign(LEFT, CENTER);
            fill(230, 230, 230);
            text("CO2 emssion per GDP:", countries.get(j).CO2perGdp, 0, 0, 0);
            println(countries.get(j).CO2perGdp);
            popMatrix();
          }
          point(-100, 0, 0);
        }
        if (move) {
          angle2+=0.1;
        } else {
          angle2 = PI/2;
        }
        if (showcurve) {

          line(0, 0, 0, -wid, 0, 0);
        }
        popMatrix();
      }
    }
  }
}
void DrawCurve(ArrayList<country> countries, String class_names, float x, float z, color c) {
  pushMatrix();
  noFill();
  beginShape();
  for (int i = 0; i < class_year.length; i++) {
    for (int j = 0; j < countries.size(); j++) {
      stroke(c);
      strokeWeight(1);
      if (countries.get(j).year == class_year[i] && countries.get(j).name.equals(class_names)) {
        pushMatrix();
        float dx2 = x;
        float dy2 = (-20)*i;
        float dz2 = map(countries.get(j).CO2perGdp, 0, 2, -300+z, 300+z);
        float x1 = dx2;
        float y1 = dy2;
        float z1 = dz2;
        //translate(dx2, dy2, dz2);
        vertex(x1, y1, z1);
        vertex(dx2, dy2, dz2);

        popMatrix();
      }
    }
  }
  endShape();
  popMatrix();
}
